Page MenuHomePhabricator

Special:UserLogin does not inform you you're already logged in on mobile
Closed, ResolvedPublic

Description

Author: swalling

Description:
Desktop screenshot

On the desktop sight, if I visit Special:UserLogin (such as through a link in a help page), but I'm already logged in, I now get a helpful message telling me that I am already authenticated. [See screenshot attached]

On mobile, I am given the normal login form, and no indication that I don't need to log in again. It would be nice if you just displayed the same warning message that gets displayed on desktop.


Version: unspecified
Severity: enhancement

Attached:

Details

Reference
bz56359

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:20 AM
bzimport set Reference to bz56359.

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Mingle card https://wikimedia.mingle.thoughtworks.com/projects/mobile/cards/1342

I would actually say the correct behaviour is to not show the page at all maybe redirecting to the main page...

Just a note that the rationale for the desktop design when user is logged in was discussed on bug 53306 and change I1672ee09.

swalling wrote:

(In reply to comment #2)

I would actually say the correct behaviour is to not show the page at all
maybe
redirecting to the main page...

That's a bad idea, because it defies normal expectations. A user clicking on a link to login or typing in Special:UserLogin expects to be sent to login. Doing something else silently would seem broken.

Also, note that if you're already authenticated, you can in fact log in as a different account without logging out, so the warning message educates the user about this, rather than just acting as a roadblock.

I was just pointing out that many websites if you go to the login page whilst logged in they will redirect you to a user dashboard. Since we don't have this equivalent though I can understand a warning message may suffice.

It doesn't seem like the end of the world to do nothing though - Tumblr seems to do that for example (www.tumblr.com/login)

(In reply to comment #5)

I was just pointing out that many websites if you go to the login page whilst
logged in they will redirect you to a user dashboard. Since we don't have
this equivalent though I can understand a warning message may suffice.

Unlike just about any site we allow users to register more than one account, though. And in particular we allow them to do that while being logged in. Showing the login form as well as the create account form seems like a sane thing to do (especially since it's also the only place in the UI where account creation is linked, apart from the list of all special pages).

Sure but you can still only be in one account at a time. :) Maybe redirecting to a page that prompts the user saying "You are logged in as Jon, do you want to log in as another user" would make sense?

  • Bug 56023 has been marked as a duplicate of this bug. ***

Btw.. it actually /does/ inform you if you are logged in - an echo icon is in the top right corner.

Andre / Quim - good task for Google Code in 2013. Should be put into the beta mode of the site first.

Qgil added a comment.Dec 24 2013, 8:04 PM

As long as the task is well defined, yes, this looks like a good GCI task.

I think it's fine for it to replicate desktop as long as it is placed in the beta mode / alpha mode of the site first.

Qgil added a comment.Dec 28 2013, 6:06 PM

What I mean is that, after reading the discussion, it is unclear to me what is exactly the end result you want.

For instance, the subject says "Special:UserLogin does not inform you you're already logged in on mobile"but then you say in Comment 9 "Btw.. it actually /does/ inform you if you are logged in - an echo icon is in the top right corner."

Surely I m reading too fast, but this is confusing to me, and it might be confusing to a new contributor landing here for the first time.

Apologies for the confusion. I'm basically suggesting we try what Steven originally suggested in comment 0 but limit it to the beta mode of the site. The Echo button does inform you but that's not it's real purpose and it might not be noticeable.

Qgil added a comment.Dec 28 2013, 11:41 PM

Understood. Thank you!

Is it necessary to limit this to the beta mode? It seems like just displaying something like http://i.imgur.com/MuL7w3I.png would be uncontroversial enough...Jon?

It's not controversial it's just our standard practice to test things out in a beta mode first before pushing it to all our users.

Screen looks great though.

Change 104378 had a related patch set uploaded by M4tx:
Add "You're already logged in" information to Special:UserLogin

https://gerrit.wikimedia.org/r/104378

Change 104382 had a related patch set uploaded by Theopolisme:
Show "already logged-in" notice at Special:UserLogin

https://gerrit.wikimedia.org/r/104382

Qgil added a comment.Dec 29 2013, 5:55 PM

Ok, so now you have two patches for review coming from a Google Code-in task that wasn't even claimed officially by anybody. I have deleted the GCI task, you can continue the technical review here and in the patches.

Guys if you want to fix a bug in future please use the ASSIGNED status and mark yourself as the assignee. This will help everyone involved.

@Jon, I'm not able to modify the status setting...

Change 104378 abandoned by Jdlrobson:
Add "You're already logged in" information to Special:UserLogin

Reason:
This lost the coin toss.
https://gerrit.wikimedia.org/r/#/c/104382/ got merged instead so this patch is no longer needed.

Thank you so much for the patch though. There was no problem whatsoever with this code.

https://gerrit.wikimedia.org/r/104378

Change 104382 merged by jenkins-bot:
Show "already logged-in" notice at Special:UserLogin

https://gerrit.wikimedia.org/r/104382

Even if you can't modify the status setting you should be able to declare "I am working on this." In future I can also update the ASSIGNED status if you say that you are working on this.

Due to the fact you both worked on this patch I just had the awkward situation of having to merge 1 of 2 near identical patches and in the end did it by a coin toss. Apologies to M4tx - I hope you understand this was nothing against your patch!

Quick note: This is going to beta first. Jared and Steven/Kenan please comment back from a product and design point of view if you are happy for this change to go to stable and I will make this so.

based on the design I'm fine going straight to stable, but I'm also fine with it sitting in beta for a week. No strong preference to rush it through.